com.fasterxml.jackson.dataformat.avro.schema

## Class VisitorBase

- java.lang.Object
- - com.fasterxml.jackson.dataformat.avro.schema.VisitorBase

- All Implemented Interfaces:
    com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWithSerializerProvider, SchemaBuilder

      public abstract class VisitorBase
      extends Object
      implements com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWithSerializerProvider, SchemaBuilder

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected com.fasterxml.jackson.databind.SerializerProvider` | `_provider`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VisitorBase()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract org.apache.avro.Schema` | `builtAvroSchema()`
    `com.fasterxml.jackson.databind.SerializerProvider` | `getProvider()`
    `void` | `setProvider(com.fasterxml.jackson.databind.SerializerProvider provider)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _provider

          protected com.fasterxml.jackson.databind.SerializerProvider _provider

  - ### Constructor Detail

    - #### VisitorBase

          public VisitorBase()

  - ### Method Detail

    - #### builtAvroSchema

          public abstract org.apache.avro.Schema builtAvroSchema()

      Specified by:
        `builtAvroSchema` in interface `SchemaBuilder`

    - #### getProvider

          public com.fasterxml.jackson.databind.SerializerProvider getProvider()

      Specified by:
        `getProvider` in interface `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWithSerializerProvider`

    - #### setProvider

          public void setProvider(com.fasterxml.jackson.databind.SerializerProvider provider)

      Specified by:
        `setProvider` in interface `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWithSerializerProvider`

Copyright © 2019 FasterXML. All rights reserved.